<!DOCTYPE html>
<html>

	<head>
		<meta charset="UTF-8">
		<title>sage</title>
		<link rel="stylesheet" type="text/css" href="css/easyui.css">
		<link rel="stylesheet" type="text/css" href="css/icon.css">
		<script type="text/javascript" src="js/lib/jquery.min.js"></script>
		<script type="text/javascript" src="js/lib/jquery.easyui.min.js"></script>
	</head>

	<body>
		<div class="detailed userDetailed clearfix contactDetailed fenzuDetailed">
			<button type="button" class="icon detailed_close"></button>
			<div class="common_content_title">标签编辑</div>
			<div>
				<form id="memberTagAddForm" method="post">
					<ul>
						<li>
							<span>标签名称</span>
							<input name="memberTagName" data-options="required:true,length:'100'" size="16" type="text" class="form-control input140" value="">
						</li>
						<li>
							<span class="fl">描述</span>
							<textarea name="remark" data-options="required:true,length:'500'" class="form-control input780" rows="3"></textarea>
						</li>
						<li class="clearfix">
							<span class="fl">标签类型</span>
							<ul class="fl">
								<input type="hidden" name="executeType" id="executeType" value="1" />
								<div style="float: left;width: 110px;">
									<input name="executeTypeRadio" type="radio" value="1" checked>无查询条件
								</div>
								<div style="float: left;width: 110px;">
									<input name="executeTypeRadio" type="radio" value="2">有查询条件
								</div>
							</ul>
						</li>
						<li class="clearfix none" id="setUpdate">
							<span class="fl">更新类型</span>
							<ul class="fl">
								<input type="hidden" id="updateType" name="updateType" value="1" />
								<div style="float: left;width: 110px;">
									<input name="updateTypeRadio" type="radio" value="1" checked>手动
								</div>
								<div style="float: left;width: 110px;">
									<input name="updateTypeRadio" type="radio" value="2">自动
								</div>
							</ul>
						</li>
						<li class="clearfix none" id="setNode">
							<span class="fl">更新节点</span>
							<ul class="fl">
								<input type="hidden" name="updateNode" value="0" />
								<div style="width: 130px;display: inline-block;">
									<select class="form-control" id="updateNode">
										<option value="0">请选择</option>
										<option value="1">注册</option>
										<option value="2">信息修改</option>
										<option value="3">会员下单</option>
									</select>
								</div>
							</ul>
						</li>
						<!-- <li class="clearfix none" id="setSelectType">
							<span class="fl">满足条件</span>
							<ul class="fl">
								<div style="width: 130px;display: inline-block;">
									<select class="form-control" id="selectType">
										<option value="1">所有</option>
										<option value="2">任一</option>
									</select>
								</div>
							</ul>
						</li> -->
						<li class="clearfix none" id="tagSelect">
							<div class="tag_line" id="tag_base">
								<div class="tag_line-title">基本资料</div>
								<div class="tag_line-ele">
									<span id="select_mobile">手机号</span>
									<span id="select_gender">性别</span>
									<span id="select_age">年龄</span>
									<span id="select_birthday">生日</span>
									<span id="select_register">注册时间</span>
									<span id="select_channel">会员来源</span>
									<span id="select_grade">等级</span>
								</div>
							</div>
							<div class="tag_line" id="tag_member">
								<div class="tag_line-title">会员资料</div>
								<div class="tag_line-ele">
									<span id="select_points">积分余额</span>
									<span id="select_couponFree">可用券数</span>
									<span id="select_couponUsed">已用券数</span>
								</div>
							</div>
							<div class="tag_line" id="tag_order">
								<div class="tag_line-title">交易数据</div>
								<div class="tag_line-ele">
									<span id="select_orderStore">消费门店</span>
									<span id="select_orderCount">消费次数</span>
									<span id="select_orderLast">距上次消费天数</span>
									<span id="select_orderGrand">累计消费额</span>
									<span id="select_orderOne">单笔消费额</span>
								</div>
							</div>
							<div class="tag_line none" id="tag_del">
								<div class="tag_line-ele" id="delete_all" style="float: left;margin-left: 16px;margin-top: 6px;cursor: pointer;color:red">清空</div>
							</div>
							<div class="tag_view-panel">
								<div></div>
							</div>
							
						<!-- 	页面上隐藏以下元素 -->
							<div class="tag_total-panel" style="display:none;">
								<div class="tag_detail-line">
									<div class="tag_item-title">手机号</div>
									<div class="tag_item-content">
										<input name="mobileRadio" id="mobileRadio" type="radio" value="1" checked>有
										<input name="mobileRadio" id="mobileRadio" type="radio" value="2">没有
										<span class="tag_del">X</span>
									</div>
								</div>
								<div class="tag_detail-line">
									<div class="tag_item-title">性别</div>
									<div class="tag_item-content">
										<input name="genderRadio" id="genderRadio" type="radio" value="1" checked>男
										<input name="genderRadio" id="genderRadio" type="radio" value="2">女
										<span class="tag_del">X</span>
									</div>
								</div>
								<div class="tag_detail-line">
									<div class="tag_item-title">年龄</div>
									<div class="tag_item-content">
										<input id="ageStart" type="text" class="form-control input140">至
										<input id="ageEnd" type="text" class="form-control input140">岁
										<span class="tag_del">X</span>
									</div>
								</div>
								<div class="tag_detail-line">
									<div class="tag_item-title">生日</div>
									<div class="tag_item-content">
										<input id="birthdayStart" size="16" type="text" class="Wdate date_input" onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',alwaysUseStartDate:true})" value="" readonly>
										<span style="text-align: center;width: 40px;">至</span>
										<input id="birthdayEnd" size="16" type="text" class="Wdate date_input" onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',alwaysUseStartDate:true})" value="" readonly>
										<span class="tag_del">X</span>
									</div>
								</div>
								<div class="tag_detail-line">
									<div class="tag_item-title">注册时间</div>
									<div class="tag_item-content">
										<input id="registerDateStart" size="16" type="text" class="Wdate date_input" onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',alwaysUseStartDate:true})" value="" readonly>
										<span style="text-align: center;width: 40px;">至</span>
										<input id="registerDateEnd" size="16" type="text" class="Wdate date_input" onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',alwaysUseStartDate:true})" value="" readonly>
										<span class="tag_del">X</span>
									</div>
								</div>
								<div class="tag_detail-line">
									<div class="tag_item-title">会员来源</div>
									<div class="tag_item-content">
										<input type="hidden" id="channelId" value="" />
										<input size="16" type="text" class="form-control" value="" input-type="select" readonly>
										<ul class="dropdown-menu" data="$.Member_Channel">
										</ul>
										<i class="input_icon input_down" style="margin-top: 11px;right: 722px;"></i>
										<span class="tag_del">X</span>
									</div>
								</div>
								<div class="tag_detail-line">
									<div class="tag_item-title">等级</div>
									<div class="tag_item-content">
										<input type="hidden" id="equalGradeId" value="" />
										<input size="16" type="text" class="form-control" value="" input-type="select" readonly>
										<ul class="dropdown-menu" data="$.Member_Grade">
										</ul>
										<i class="input_icon input_down" style="margin-top: 11px;right: 722px;"></i>
										<span class="tag_del">X</span>
									</div>
								</div>
								<div class="tag_detail-line">
									<div class="tag_item-title">积分余额</div>
									<div class="tag_item-content">
										<input id="pointsStart" type="text" class="form-control input120">至
										<input id="pointsEnd" type="text" class="form-control input120">
										<span class="tag_del">X</span>
									</div>
								</div>
								<div class="tag_detail-line">
									<div class="tag_item-title">可用券数</div>
									<div class="tag_item-content">
										<input id="couponFreeStart" type="text" class="form-control input120">至
										<input id="couponFreeEnd" type="text" class="form-control input120">
										<span class="tag_del">X</span>
									</div>
								</div>
								<div class="tag_detail-line">
									<div class="tag_item-title">消费门店</div>
									<div class="tag_item-content">
										 <div>
											 <input type="hidden" name="equalOrgIdTag" id="editOrgTag" value="" />
										 	 <input id="equalOrgIdTag" class="form-control" type="text" value="" name="equalOrgName"></input>
										 </div>
										 <span class="tag_del">X</span>
									</div>
								</div>
								<div class="tag_detail-line">
									<div class="tag_item-title">已用券数</div>
									<div class="tag_item-content">
										<input id="couponUsedStart" type="text" class="form-control input120">至
										<input id="couponUsedEnd" type="text" class="form-control input120">
										<span class="tag_del">X</span>
									</div>
								</div>
								<div class="tag_detail-line">
									<div class="tag_item-title">消费次数</div>
									<div class="tag_item-content">
										<input id="orderCountDateStart" size="16" type="text" class="Wdate date_input" onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',alwaysUseStartDate:true})" value="" readonly>
										<span style="text-align: center;width: 25px;">至</span>
										<input id="orderCountDateEnd" size="16" type="text" class="Wdate date_input" onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',alwaysUseStartDate:true})" value="" readonly>
										<span style="text-align: center;width: 40px;">累计</span>
										<input id="orderCountStart" type="text" class="form-control input120">至
										<input id="orderCountEnd" type="text" class="form-control input120">次
										<span class="tag_del">X</span>
									</div>
								</div>
								<div class="tag_detail-line">
									<div class="tag_item-title">距上次消费天数</div>
									<div class="tag_item-content">
										<input id="orderLastStart" type="text" class="form-control input120">至
										<input id="orderLastEnd" type="text" class="form-control input120">天
										<span class="tag_del">X</span>
									</div>
								</div>
								<div class="tag_detail-line">
									<div class="tag_item-title">累计消费额</div>
									<div class="tag_item-content">
										<input id="orderGrandAmountDateStart" size="16" type="text" class="Wdate date_input" onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',alwaysUseStartDate:true})" value="" readonly>
										<span style="text-align: center;width: 25px;">至</span>
										<input id="orderGrandAmountDateEnd" size="16" type="text" class="Wdate date_input" onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',alwaysUseStartDate:true})" value="" readonly>
										<span style="text-align: center;width: 40px;">累计</span>
										<input id="orderGrandAmountStart" type="text" class="form-control input120">至
										<input id="orderGrandAmountEnd" type="text" class="form-control input120">元
										<span class="tag_del">X</span>
									</div>
								</div>
								<div class="tag_detail-line">
									<div class="tag_item-title">单笔消费额</div>
									<div class="tag_item-content">
										<input id="orderOneAmountDateStart" size="16" type="text" class="Wdate date_input" onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',alwaysUseStartDate:true})" value="" readonly>
										<span style="text-align: center;width: 25px;">至</span>
										<input id="orderOneAmountDateEnd" size="16" type="text" class="Wdate date_input" onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',alwaysUseStartDate:true})" value="" readonly>
										<span style="text-align: center;width: 40px;">单笔</span>
										<input id="orderOneAmountStart" type="text" class="form-control input120">至
										<input id="orderOneAmountEnd" type="text" class="form-control input120">元
										<span class="tag_del">X</span>
									</div>
								</div>
							</div>
						</li>
					</ul>
					<button id="memberTagSaveBtn" type="button" class="btn btn-success btn-block choose_btn">保存</button>
				</form>
			</div>
			<!--区域弹出层-->
			<div id="areaChooseManager" class="mask none">
				<div class="detailed labelChoose">
					<div class="contactDetailed_title">选择区域/门店</div>
						<div style="height:200px;line-height:100px;overflow:auto;overflow-x:hidden;">
							<div class="zTreeDemoBackground left">
								<ul id="areaTreeManager" class="ztree"></ul>
							</div>
						</div>
						<div class="contactDetailed_btn">
							<button id="areaSaveBtn" type="button" class="btn btn-success input90">保存</button>
							<button type="button" class="btn input90 detailed_close2">关闭</button>
						</div>
					</div>
			</div>
			<script type="text/javascript">
				$(function() {
					require(['view/memberTag/tagEdit'], function(re) {
						re.init();
					});
					require(['view/member/tree'], function(re) {
						//re.init();
					});
					
					
					$(".tag_line-ele > span").click(function(){
						$("#tag_del").prop("class","tag_line");
						$(this).toggleClass("active");
						var title = $(this).text();
						if($(this).hasClass("active")){
							$(".tag_item-title").each(function(){
								if($(this).text() == title){
									$(this).parent().clone().insertBefore(".tag_view-panel > div:first");
								}
							});
						}else{
							$(".tag_view-panel").find(".tag_item-title").each(function(){
								if($(this).text() == title){
									$(this).parent().remove();
								}
							});
						}
					});
					
					$(document).on('click','.tag_del',function(){
						var title_del = $(this).parent().siblings(".tag_item-title").text();
						$(this).parents(".tag_detail-line").remove();
						$(".tag_line-ele > span").each(function(){
							if($(this).text() == title_del){
								$(this).removeClass("active");
							}
						});
					});
				});
			</script>
	</body>

</html>